import random
from SimpleXMLRPCServer import SimpleXMLRPCServer 

# Create server
server = SimpleXMLRPCServer(("localhost", 8000))
server.register_introspection_functions()

InsultServer = ["tonto","feo","idiota","gilipollas","mariquita","caraculo","subnormal"]

# Register pow() function; this will use the value of 
# pow.__name__ as the name, which is just 'pow'.
server.register_function(pow)

# Register a function under a different name
def adder_function(x,y):
    return x + y
server.register_function(adder_function, 'add')

# Register an instance; all the methods of the instance are 
# published as XML-RPC methods (in this case, just 'div').
class MyFuncs:
    def div(self, x, y): 
        return x // y
    
server.register_instance(MyFuncs())


#funcion que genera los insultos, devlviendo un insulto aleatorio.
#La funcion len(insultserver) nos devuelve la longitud de la lista de insultos.
def generador_insulto():
    return InsultServer[random.randint(0,len(InsultServer)-1)]
    
server.register_function(generador_insulto, 'insultame')

# Run the server's main loop
server.serve_forever()